/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                  Uebnice jazyka Java                       //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2000                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

class Zakaznik {
  static int pocetZakazniku = 0;  // promenna tridy
  public int utratil;             // promenna instance

  public Zakaznik() {
    pocetZakazniku++;
    utratil = 0;
  }

  public void platil(int cena) {
    this.utratil += cena;
  }

  public static int kolikZakazniku() {
    return pocetZakazniku;
  }

  protected void finalize() throws Throwable {
    pocetZakazniku--;
    System.out.println("Konec zakaznika");
    super.finalize();
  }
}

public class Hlavni {
  public static void main(String[] args) {
    System.out.println("Pocet: " + Zakaznik.kolikZakazniku());
    Zakaznik zak1 = new Zakaznik();
    System.out.println("Pocet: " + Zakaznik.kolikZakazniku());
    Zakaznik zak2 = new Zakaznik();
    System.out.println("Pocet: " + Zakaznik.kolikZakazniku());
    zak1 = null;
    System.gc();
    System.runFinalization();
    System.out.println("Pocet: " + Zakaznik.kolikZakazniku());
  }
}
