/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                  Uebnice jazyka Java                       //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2000                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

public class Klon2 implements Cloneable {
  int i;

  Klon2(int i) { this.i = i; }

  protected Object clone() {
    Klon2 k = null;
    try {
      k = (Klon2) super.clone();
      k.i = this.i;
    }
    catch (CloneNotSupportedException e) {
      e.printStackTrace();
    }
    return k;
  }

  public static void main(String[] args) {
    Klon2 kopie, orig = new Klon2(5);
    kopie = (Klon2) orig.clone();
    System.out.println("orig: " + orig.i);
    System.out.println("kopie: " + kopie.i);
  }
}
