/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                  Uebnice jazyka Java                       //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2000                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

class Jmeno {
  public void kdoJeTo(Object o) {
    System.out.print(o.getClass().getName());
  }
}

class Usecka {
  protected int delka;

  Usecka(int delka) { this.delka = delka; }
}

class Obdelnik extends Usecka implements Info {
  private int sirka;

  Obdelnik(int delka, int sirka) {
    super(delka);
    this.sirka = sirka;
  }
  
  public void kdoJsem() {
    new VnitrniJmeno().kdoJsem();
  }

  class VnitrniJmeno extends Jmeno {
    void kdoJsem() {
      kdoJeTo(Obdelnik.this);
//      kdoJeTo(this);
      System.out.println(" " + delka + "x" + sirka);
    }
  }
}

public class Test {
  public static void main(String[] args) {
    Info i = new Obdelnik(3, 6);
    i.kdoJsem();
  }
}
