/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                  Uebnice jazyka Java                       //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2000                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

class BankomatException extends Exception {
  public BankomatException() {
    super("Bankomat docasne mimo provoz");
  }
}

class Bankomat {
  private int penize = 0;

  Bankomat(int kolik) { penize = kolik; }

  int vydejPenize(int kolik) throws BankomatException {
    if (kolik > penize) {
      System.out.println("Nedostatek hotovosti");
      throw new BankomatException();
    }
    else {
      penize -= kolik;
      return kolik;
    }
  }
}

public class TestBankomatu {
  public static void main(String[] args) {
    Bankomat b = new Bankomat(1000);

    try {
      System.out.println("Vydano: " + b.vydejPenize(200));
      System.out.println("Vydano: " + b.vydejPenize(1000));
    }
    catch (BankomatException be) {
      System.out.println("Vyhledejte jiny bankomat");
      System.out.println(be.getMessage());
      be.printStackTrace();
    }
  }
}  
