/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                  Uebnice jazyka Java                       //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2000                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.io.*;

public class VypsaniSouboru {
public static long vypisSoubor(String jmeno) throws IOException {
    File frJmeno = new File(jmeno);
    FileReader fr = null;

    try {
      fr = new FileReader(frJmeno);
      for (int i = 0;  i < frJmeno.length();  i++) {
        System.out.print((char)fr.read());
      }
//      throw new ArithmeticException();
      return frJmeno.length();
    }

    catch (FileNotFoundException e) {
      System.out.println("Soubor neotevren");
      throw e;
    }

    catch (IOException e) {
      System.out.println("Chyba cteni");
      throw e;
    }

    finally {
      System.out.println("Konec");
      if (fr != null)
        fr.close();
    }
  }

  public static void main(String[] argv) throws IOException {
    long i = vypisSoubor("VypsaniSouboru.java");
    System.out.println("Vypsano: " + i + " znaku");
  }
}
