/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                  Uebnice jazyka Java                       //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2000                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.io.*;

public class Seskupovani {
  public static void main(String[] argv) throws IOException {

    FileWriter fBuf = new FileWriter("buf.txt");

// nebuferovane - zakomentovat dve radky
//    BufferedWriter bBuf = new BufferedWriter(fBuf);
//    PrintWriter pBuf = new PrintWriter(bBuf);

// buferovane - zakomentovat jednu radku
    PrintWriter pBuf = new PrintWriter(fBuf);

/* // bezny zapis pomoci jedne referencni promenne
    PrintWriter pBuf = new PrintWriter(
                       new BufferedWriter(
                       new FileWriter("buf.txt")));
*/
    
    long z = System.currentTimeMillis();

    for (int i = 0;  i < 500000;  i++)
      pBuf.println(i);

    long k = System.currentTimeMillis();
    System.out.println((k - z));

    pBuf.close();
  }
}


