public class ZakladLog {
  static int pocetCyklu;
  
  static double vypoctiE(double presnost) {
    double e = 1.0, stareE = 0.0;
    int f = 1, i = 1;

    while (Math.abs(e - stareE) > presnost) {
      stareE = e;
      f *= i;
      e += 1.0 / (double) f;
      i++;
    }
    pocetCyklu = i;
    return e;
  }

  static double vypoctiE() {
    return vypoctiE(1e-7);
  }

  public static void main(String[] args) {
    double e = vypoctiE();
    System.out.println("Vypoctene e: " + e + "\t cyklu: " + pocetCyklu);
    System.out.println("Knihovni e : " + Math.E);

    for (int i = 1;  i < 10;  i++) {
      double presnost = Math.pow(10.0, (double) (-1 * i));
      e = vypoctiE(presnost);
      System.out.println("Vypoctene e: " + e + "\t cyklu: " + pocetCyklu);
      System.out.println("Knihovni e : " + Math.E + "\n");
    }
  }
}
