import java.util.*;

public class BinarniCislo {
  static void naBinarni(int k) {
    int[] cifry = new int[32];  // int je na 32 bitech

    for (int i = 0;  i < cifry.length;  i++) {
      cifry[i] = 0;
    }

    int j = 0;
    while (k != 0) {
      cifry[j] = (int) (k % 2);
      j++;
      k /= 2;
    }

    for (int i = cifry.length - 1;  i >= 0;  i--) {
      System.out.print(cifry[i]);
    }

    System.out.println();
  }

  public static void main(String[] args) {
    Scanner sc = new Scanner(System.in);
    System.out.print("Zadejte kladne cele cislo: ");
    int k = sc.nextInt();
    naBinarni(k);
    System.out.println(Integer.toBinaryString(k));
    naBinarni(Integer.MAX_VALUE);
  }
}
