import java.util.*;

public class DekadickeCislo {
  static long naDekadicke(long k) {
    int[] cifry = new int[19];

    for (int i = 0;  i < cifry.length;  i++) {
      cifry[i] = 0;
    }

    int j = 0;
    while (k != 0) {
      cifry[j] = (int) (k % 10);
      j++;
      k /= 10;
    }

    long pom = 0;
    for (int i = j;  i >= 0;  i--) {
      pom *= 2;
      pom += cifry[i];
    }

    return pom;
  }

  public static void main(String[] args) {
    Scanner sc = new Scanner(System.in);
    System.out.print("Zadejte binarni cislo: ");
    long k = sc.nextLong();
    System.out.println(naDekadicke(k));
  }
}
