public class PravouhlyTrojuhelnik {
  private int stranaA, stranaB;
  private double prepona;

  PravouhlyTrojuhelnik(int a, int b) {
    stranaA = a;
    stranaB = b;
    vypoctiPreponu(a, b);
  }

  PravouhlyTrojuhelnik() {
    this(1, 1);
  }

  public double obvod() {
    return stranaA + stranaB + prepona;
  }

  public double obsah() {
    return ((stranaA * stranaB) / 2.0);
  }

  public double delkaPrepony() {
    return prepona;
  }

  private void vypoctiPreponu(int a, int b) {
    prepona = Math.sqrt(a * a + b * b);
  }


  public static void main(String[] args) {
    PravouhlyTrojuhelnik t1 = new PravouhlyTrojuhelnik(6, 8);
    PravouhlyTrojuhelnik t2 = new PravouhlyTrojuhelnik();

    System.out.println("Prepona je: " + t1.delkaPrepony());
    System.out.println("Obsah je: " + t1.obsah());

    System.out.println("Prepona je: " + t2.delkaPrepony());
    System.out.println("Obsah je: " + t2.obsah());
  }
}
