class BankovniUcet {
  private int hotovost;

  BankovniUcet(int vklad) {
    hotovost = vklad;
  }

  BankovniUcet() {
    this(0);
  }

  public int getHotovost() { return hotovost; }

  public void vloz(int vklad) { 
    hotovost += vklad; 
  }

  public int vyber(int suma) {
    if (hotovost >= suma) {
      hotovost -= suma;
      return suma;
    }
    else {
      int zbytek = suma - hotovost;
      hotovost = 0;
      return zbytek;
    }
  }

  public void vypisUctu() {
    System.out.println("Hotovost: " + hotovost);
  }

}

public class Banka {
  static final int N = 10;
  public static void main(String[] args) {
    BankovniUcet[] ucty = new BankovniUcet[N];
    for (int i = 0;  i < ucty.length;  i++) {
      ucty[i] = new BankovniUcet((int) (Math.random() * 1000));
    }

    ucty[0].vloz(2000);
    ucty[0].vypisUctu();
    ucty[0].vyber(1000);
    ucty[0].vypisUctu();
    ucty[0].vyber(5000);
    ucty[0].vypisUctu();

    int hotovostVBance = 0;
    for (int i = 0;  i < ucty.length;  i++) {
      hotovostVBance += ucty[i].getHotovost();
    }

    System.out.println("Celkova hotovost: " + hotovostVBance);
  }
}
