abstract class JednostopeVozidlo {
  String druh;

  JednostopeVozidlo(String druh) {
    this.druh = new String(druh);
  }

  abstract void vypisCoJsiZac();
}

class Kolo extends JednostopeVozidlo {
  private String vyrobce;
  private int cena;
  private boolean maPrehazovacku;

  Kolo(String druh, String vyrobce, int cena, boolean maPrehazovacku) {
    super(druh);
    this.vyrobce = vyrobce;
    this.cena = cena;
    this.maPrehazovacku = maPrehazovacku;
  }

  public String getVyrobce() { return vyrobce; }

  public int getCena() { return cena; }

  public boolean getPrehazovacka() { return maPrehazovacku; }

  public void setCena(int novaCena) { cena = novaCena; }

  public void setPrehazovacka(boolean prehazovacka) {
    maPrehazovacku = prehazovacka;
  }

  public String toString() {
    return (", vyrobce/znacka: " + vyrobce +
                        ", cena: " + cena +
                        ", prehazovacka: " + maPrehazovacku);
  }

  public void vypisCoJsiZac() {
    String pom = new String(druh);
    pom = pom.concat(toString());
    System.out.println(pom);
  }
}

class Motocykl extends JednostopeVozidlo  {
  private int obsahNadrze;

  Motocykl(String druh, int obsahNadrze) {
    super(druh);
    this.obsahNadrze = obsahNadrze;
  }

  public void vypisCoJsiZac() {
    String pom = new String(druh);
    pom = pom.concat(", obsah nadrze: " + obsahNadrze + " litru");
    System.out.println(pom);
  }
}


public class TestJednostopych {
  public static void main(String[] args) {
    Kolo fav = new Kolo("kolo", "favorit", 2000, true);
    Motocykl java = new Motocykl("motocykl", 20);
    fav.vypisCoJsiZac();
    java.vypisCoJsiZac();
  }
}
