/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                  Uebnice jazyka Java                       //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2000                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

class Obdelnik {
  public int sirka;
  public int vyska;

  public Obdelnik(int sirka, int vyska) {
    this.sirka = sirka;
    this.vyska = vyska;
  }

  public double delkaUhlopricky() {
    double pom;
    pom = (sirka * sirka) + (vyska * vyska);
    return Math.sqrt(pom);
  }

  public int hodnotaSirky() {
    return sirka;
  }
}

public class Kvadr extends Obdelnik {
  public int hloubka;

  public Kvadr(int sirka, int vyska, int hloubka) {
    super(sirka, vyska);
    this.hloubka = hloubka;
  }

  public double delkaUhlopricky() {
    double pom = super.delkaUhlopricky();
    pom = (pom * pom) + (hloubka * hloubka);
    return Math.sqrt(pom);
  }

  public static void main(String[] args) {
    Kvadr kva = new Kvadr(6, 8, 10);
    System.out.println("Uhlopricka: "+ kva.delkaUhlopricky());
    System.out.println("Sirka je: " + kva.hodnotaSirky());
    System.out.println("Vyska je: " + kva.vyska);
  } 
}
