/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                  Uebnice jazyka Java                       //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2000                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

class Zivocich {
  public void vypisInfo() {
    System.out.print(getClass().getName() + ", ");
  }
}

class Ptak extends Zivocich {
  int delkaKridel;

  Ptak(int delka) { delkaKridel = delka; }

  public void vypisInfo() {
    super.vypisInfo();
    System.out.println("delka kridel: " + delkaKridel);
  }
}

class Slon extends Zivocich {
  int delkaChobotu;

  Slon(int delka) { delkaChobotu = delka; }

  public void vypisInfo() {
    super.vypisInfo();
    System.out.println("delka chobotu: " + delkaChobotu);
  }
}

class Had extends Zivocich {
  int delkaTela;

  Had(int delka) { delkaTela = delka; }

  public void vypisInfo() {
    super.vypisInfo();
    System.out.println("delka tela: " + delkaTela);
  }
}

public class PolymDeden {
  public static void main(String[] args) {
    Zivocich[] z = new Zivocich[6];
    for (int i = 0;  i < z.length;  i++) {
      switch ((int) (1.0 + Math.random() * 3.0)) {
        case 1: z[i] = new Ptak(i); break;
        case 2: z[i] = new Slon(i); break;
        case 3: z[i] = new Had(i); break;
      }
    }

    for (int i = 0;  i < z.length;  i++)
      z[i].vypisInfo();
  }
}
