/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                  Uebnice jazyka Java                       //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2000                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.Scanner;
import java.util.Arrays;
import java.util.InputMismatchException;
import java.io.File;
import java.io.IOException;

public class VyjimkaVyvolani {
  public static int[] vytvorANactiPole() throws Exception {
    int[] pole = null;
    try { 
      Scanner sc = new Scanner(new File("data-pole-nula.txt"));
      int n = sc.nextInt();
      if (n == 0) {
        throw new InputMismatchException();
      }
      pole = new int[n];
      for (int i = 0;  i < n;  i++) {
        pole[i] = sc.nextInt();
      }
      return pole;
    }
    catch (InputMismatchException e) {
      e.printStackTrace();
      System.out.println("Chyba v nacitanych datech"); 
      throw e;
    }
    catch (IOException e) {
      System.out.println("Soubor nenalezen"); 
      throw e;
    }
  }

  public static void main(String[] args) {
    try { 
      int[] abc = vytvorANactiPole();
      System.out.println(Arrays.toString(abc));
    }
    catch (Exception e) {
      System.out.println("Program neprobehl spravne");
    }
  }
}
