/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                  Uebnice jazyka Java                       //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       CTI_ME.TXT                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2000                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.io.*;

public class PokusRAF {
  public static void main(String[] args) throws IOException {
    RandomAccessFile frw = new RandomAccessFile("a.bin", "rw");
    int k, pocet = 5;
    long posun;
  
    frw.writeInt(pocet);
    for (int i = 0;  i < pocet;  i++) {
      k = (int) (1000.0 * Math.random());
      System.out.print(k + " ");
      frw.writeInt(k);
    }
    frw.writeDouble(Math.PI);
    frw.writeDouble(Math.E);
    System.out.println("\n" + Math.PI + " " + Math.E);
    System.out.println("Velikost souboru: " 
                                      + frw.getFilePointer());
    System.out.println("Velikost souboru: " + frw.length());

    frw.seek(0L);          // nvrat na zatek
    pocet = frw.readInt();
    posun = 4 * pocet;     // int je velk 4 bajty
    frw.seek(posun);
    frw.writeInt(1234);    // pepsn poslednho int v souboru
    frw.seek(posun);
    k = frw.readInt();
    System.out.print(k);

    frw.skipBytes(8);      // double je velk 8 bajt
    double e = frw.readDouble();
    System.out.println("\n" + e);
    frw.close();
  }
}
