public class Prvocisla {
  final static int N = 5000000;

  static void horsiVerze() {
    boolean[] pole = new boolean[N + 1];

    long z = System.currentTimeMillis();
    for (int i = 1;  i < pole.length;  i++) {
      pole[i] = true;
    }

    for (int i = 2;  i < pole.length;  i++) {
      for (int j = i * 2;  j < pole.length;  j += i) {
        pole[j] = false;
      }
    }
    long k = System.currentTimeMillis();
    System.out.println("cas = " + (k - z) + " [msec]");

    for (int i = 1;  i < pole.length;  i++) {
      if (pole[i] == true) {
//        System.out.print(i + "  ");
      }
    }
  }

  static void lepsiVerze() {
    boolean[] pole = new boolean[N + 1];

    long z = System.currentTimeMillis();
    for (int i = 1;  i < pole.length;  i++) {
      pole[i] = true;
    }

    int konec = ((int) Math.sqrt((double) pole.length)) + 1;

    for (int i = 2;  i < konec;  i++) {
      if (pole[i] == true) {
        for (int j = i * 2;  j < pole.length;  j += i) {
          pole[j] = false;
        }
      }
    }
    long k = System.currentTimeMillis();
    System.out.println("cas = " + (k - z) + " [msec]");

    for (int i = 1;  i < pole.length;  i++) {
      if (pole[i] == true) {
//        System.out.print(i + "  ");
      }
    }
  }

  public static void main(String[] args) {
    horsiVerze();
    System.out.println();
    lepsiVerze();
    System.out.println();
  }
}
