public class Trojuhelnik {
  private int stranaA, stranaB, stranaC;

  Trojuhelnik(int a, int b, int c) {
    if (dobreStrany(a, b, c)
        &&  dobreStrany(b, a, c)
        &&  dobreStrany(c, b, a)) {
      stranaA = a;
      stranaB = b;
      stranaC = c;
    }
    else {
      stranaA = 0;
      stranaB = 0;
      stranaC = 0;
    }
  }

  public double obvod() {
    return stranaA + stranaB + stranaC;
  }

  private boolean dobreStrany(int a, int b, int c) {
    if (a < (b + c))
      return true;
    else
      return false;
  }


  private boolean pravyUhel(int a, int b, int c) {
    if (a * a == ((b * b) + (c * c)))
      return true;
    else
      return false;
  }

  public boolean jePravouhly() {
    if (pravyUhel(stranaA, stranaB, stranaC) == true)
      return true;
    if (pravyUhel(stranaB, stranaA, stranaC) == true)
      return true;
    if (pravyUhel(stranaC, stranaB, stranaA) == true)
      return true;

    return false;
  }

  public static void main(String[] args) {
//    Trojuhelnik t = new Trojuhelnik(6, 8, 10);
    Trojuhelnik t = new Trojuhelnik(1, 2, 9);
    System.out.println("Obvod je: " + t.obvod());
  }
}
