import java.io.*;

class FiltrAdresaru implements FilenameFilter {
  FiltrAdresaru() {
  }

  public boolean accept(File dir, String name) {
    File f = new File(dir, name);
    return f.isDirectory();
  }
}

public class Podadresare {
  public static void main(String[] args) {
    String jmenoAktDir;
    if (args.length == 0) {
      jmenoAktDir = System.getProperty("user.dir");
    }
    else {
      jmenoAktDir = new String(args[0]);
    }

    File aktDir = new File(jmenoAktDir);

    String[] jmena;
    FiltrAdresaru filtrAdr = new FiltrAdresaru();
    jmena = aktDir.list(filtrAdr);
    for (int i = 0;  i < jmena.length;  i++)
      System.out.println(jmena[i]);
  }
}
