import java.io.*;

class FiltrAdresaru implements FilenameFilter {
  FiltrAdresaru() {
  }

  public boolean accept(File dir, String name) {
    File f = new File(dir, name);
    return f.isDirectory();
  }
}

public class PodadresareRek {
  static int pocetVsech = 0;
  static void rekVypis(String aktualniAdr) {
    String[] jmena;
    File aktDir = new File(aktualniAdr);
    FiltrAdresaru filtrAdr = new FiltrAdresaru();
    jmena = aktDir.list(filtrAdr);

    pocetVsech += jmena.length;
    for (int i = 0;  i < jmena.length;  i++) {
      String podadr = new String (aktualniAdr + "\\" + jmena[i]);
      // vypis
      System.out.println(podadr);
      // rekurzivni pruchod
      rekVypis(podadr);
    }
  }

  public static void main(String[] args) {
    String jmenoAktDir;
    if (args.length == 0) {
      jmenoAktDir = System.getProperty("user.dir");
    }
    else {
      jmenoAktDir = new String(args[0]);
    }

    rekVypis(jmenoAktDir);
    System.out.println("Celkovy pocet vsech podadresaru: " + pocetVsech);
  }
}
